OpenVDB: TileSampler< Sampler, TreeT > Class Template Reference

OpenVDB 5.2.0

Public Types | Public Member Functions | Static Public Member Functions | Protected Attributes | List of all members
TileSampler< Sampler, TreeT > Class Template Reference

A TileSampler wraps a grid sampler of another type (BoxSampler, QuadraticSampler, etc.), and for samples that fall within a given tile of the grid, it returns a cached tile value instead of accessing the grid. More...

`#include <GridTransformer.h>`

Inherits Sampler< Order, Staggered >.

## Public Types
using | ValueT = typename TreeT::ValueType

## Public Member Functions
| TileSampler (const CoordBBox &b, const ValueT &tileVal, bool on)
bool | sample (const TreeT &inTree, const Vec3R &inCoord, ValueT &result) const

## Static Public Member Functions
static const char * | name ()
static int | radius ()
static bool | mipmap ()
static bool | consistent ()
static bool | staggered ()
static size_t | order ()
template<class TreeT >
static bool | sample (const TreeT &inTree, const Vec3R &inCoord, typename TreeT::ValueType &result)
| Sample inTree at the floating-point index coordinate inCoord and store the result in result. More...
template<class TreeT >
static TreeT::ValueType | sample (const TreeT &inTree, const Vec3R &inCoord)
| Sample inTree at the floating-point index coordinate inCoord. More...

## Protected Attributes
BBoxd | mBBox
ValueT | mVal
bool | mActive
bool | mEmpty

## Detailed Description

### template<typename Sampler, typename TreeT>
class openvdb::v5_2::tools::internal::TileSampler< Sampler, TreeT >

A TileSampler wraps a grid sampler of another type (BoxSampler, QuadraticSampler, etc.), and for samples that fall within a given tile of the grid, it returns a cached tile value instead of accessing the grid.

## Member Typedef Documentation

## ◆ ValueT

using ValueT = typename TreeT::ValueType

## Constructor & Destructor Documentation

## ◆ TileSampler()

TileSampler | ( | const CoordBBox & | b,
|  | const ValueT & | tileVal,
|  | bool | on
| ) |  |
| inline

Parameters

  b | the index-space bounding box of a particular grid tile
  tileVal | the tile's value
  on | the tile's active state

## Member Function Documentation

## ◆ consistent()

static bool consistent | ( |  | ) |
| staticinherited

## ◆ mipmap()

static bool mipmap | ( |  | ) |
| staticinherited

## ◆ name()

static const char* name | ( |  | ) |
| staticinherited

## ◆ order()

static size_t order | ( |  | ) |
| staticinherited

## ◆ radius()

static int radius | ( |  | ) |
| staticinherited

## ◆ sample() [1/3]

static bool sample | ( | const TreeT & | inTree,
|  | const Vec3R & | inCoord,
|  | typename TreeT::ValueType & | result
| ) |  |
| staticinherited

Sample inTree at the floating-point index coordinate inCoord and store the result in result.

Returns
  `true` if the sampled value is active.

## ◆ sample() [2/3]

static TreeT::ValueType sample | ( | const TreeT & | inTree,
|  | const Vec3R & | inCoord
| ) |  |
| staticinherited

Sample inTree at the floating-point index coordinate inCoord.

Returns
  the reconstructed value

## ◆ sample() [3/3]

bool sample | ( | const TreeT & | inTree,
|  | const Vec3R & | inCoord,
|  | ValueT & | result
| ) |  | const
| inline

## ◆ staggered()

static bool staggered | ( |  | ) |
| staticinherited

## Member Data Documentation

## ◆ mActive

bool mActive
| protected

## ◆ mBBox

BBoxd mBBox
| protected

## ◆ mEmpty

bool mEmpty
| protected

## ◆ mVal

ValueT mVal
| protected

The documentation for this class was generated from the following file:

- GridTransformer.h